import { useSetPageTitle } from '@/utils'
import CenteredSpinner from '@inject/shared/components/CenteredSpinner'
import { lazy } from 'react'

const GraphiQLPage = lazy(() => import('@/logic/GraphiQL'))

export const Pending = () => <CenteredSpinner />

export const GraphiQL = () => {
  useSetPageTitle('GraphiQL')

  return <GraphiQLPage />
}

export default GraphiQL
